//paper.com.cn app
document.addEventListener('deviceready', onDeviceReady, false);
var appSource=2;
function onDeviceReady() {	
	//console.log('Running cordova-' + cordova.platformId + '@' + cordova.version);
	//console.log("AppVersion:"+AppVersion.version+"  AppBuiltCode:"+AppVersion.build);
	document.addEventListener("backbutton", eventBackButton, false); 
	if(!window.localStorage.getItem("privacyShow") )   privacyShow();
	else{
		//每次首次启动app
		if(!window.sessionStorage.getItem("appStart") )  {
			checkVersion();
			appStart();
			 window.sessionStorage.setItem("appStart",true);
		}
	}
}
 //app每次启动时执行，注册用户存入数据库（userid/appversion/appsrc）
function appStart(){
	var userid=window.localStorage.getItem("appuserid");
	if(userid){
		$.ajax({
			type:"POST",
			url: 'http://m.paper.com.cn/appx/appStart.php',
			data: {
				userid: userid,	appversion: AppVersion.version,appsrc:appSource
			},
			success: function (msg) {
				if(msg) {
					window.localStorage.removeItem('appuserid');
					window.sessionStorage.clear();
				} 
			}
		});
	}
}
//版本检查对比（每次启动app检查一次）
function checkVersion() {
	$.ajax({
		type:"POST",
		url:"http://m.paper.com.cn/appx/getVersion.php",
		dataType:"xml",
		success: function (xml) {
			var versionbulid=$(xml).find("version").text();
			var arbitary=$(xml).find("arbitary").text();
			if(versionbulid>AppVersion.build) {
				if(arbitary.indexOf(appSource)!=-1)	 autoUpdate();
				else  window.sessionStorage.setItem("haveNewVersion",true);  
			}
		}
	});
}
//版本强制更新
function autoUpdate() {
    var updateUrl =  "http://m.paper.com.cn/appx/version.xml";
    window.AppUpdate.checkAppUpdate(onSuccess, onFail, updateUrl);
    function onFail() {}
    function onSuccess() {
    	window.sessionStorage.removeItem("haveNewVersion");  
    } 
}
//第一次安装强制显示隐私和用户政策,卸载后再安装显示，升级不再显示
function privacyShow() {
	 $('#user-dialogs').css("display","block");
	$('.agree_listbtn').find('a').on('click', function(){
		if($(this).attr("name")=="agree"){
			  $('#user-dialogs').remove();
			  window.localStorage.setItem("privacyShow",true);
		}else{
			 navigator.app.exitApp();
		}
	});
}
//打开微信小程序--纸业观察
function openMiniProgram(){
	var params = {
	    userName: 'gh_1da2c0cee6c4',
	    path: 'pages/index/index',
	    miniprogramType: Wechat.Mini.RELEASE 
	};
	Wechat.openMiniProgram(params,function(data){
	    //console.log(data);
	},function(){
	    //console.log('error');
	})
}

//scheme插件自带全局方法，监听url-scheme请求，传入url参量， 根据自定规则去app内指定页面
function handleOpenURL(url) {
	var callApp = window.sessionStorage.getItem("scheme"); 
	if (url.indexOf('iuuicnpaper' > -1) &&( !callApp)) {
    	var myurl = parseURL(url);
    	if(myurl.file) { 
    			var mypage=myurl.file+".html" ;
	        	if(myurl.params.d) {
	        		var myparam="?id=";
	        		mypage=mypage+myparam+myurl.params.d ;
	        	}
	        	window.sessionStorage.setItem("scheme",true); 
		        window.location=mypage;
		 }
      } 
} 

//网址处理	
function parseURL(url) { 
	var a = document.createElement('a'); 
	a.href = url; 
	return { 
		protocol: a.protocol.replace(':',''), 
		host: a.hostname, port: a.port, query: a.search, 
		params: (function(){ 
		    var ret = {}, 
		    seg = a.search.replace(/^\?/,'').split('&'), 
		    len = seg.length, i = 0, s; 
		    for (;i<len;i++) { 
		        if (!seg[i]) { continue; } 
		        s = seg[i].split('='); 
		        ret[s[0]] = s[1]; 
		    } 
		    return ret; 
		})(), 
		file: (a.pathname.match(/\/([^\/?#]+)$/i) || [,''])[1], 
		hash: a.hash.replace('#',''), 
		path: a.pathname.replace(/^([^\/])/,'/$1'), 
		segments: a.pathname.replace(/^\//,'').split('/') 
	}; 
}

