//处理index.html页面以外的页面
 var currPage=window.location.pathname;
 if(currPage.indexOf("/index")==-1) {
 	 document.addEventListener('deviceready', onDeviceReadyMain, false);
 }
 function onDeviceReadyMain() {	
 	//导航页返回键处理
	 var exitPages=new Array("news.html","price.html","tips.html","me.html");
	$.each(exitPages, function(){ 
		  if(currPage.indexOf(this)!=-1) {
		  		 document.addEventListener("backbutton", eventBackButton, false); 
		  }
	 });
}
function eventBackButton(){ 
	window.plugins.toast.showShortBottom('再点击一次退出！');  
	document.removeEventListener("backbutton", eventBackButton, false); //注销返回键  
	document.addEventListener("backbutton", exitApp, false);//绑定退出事件
	//3秒后重新注册，恢复正常的返回功能  
	var intervalID = window.setInterval(function() {  
		window.clearInterval(intervalID);  
		document.removeEventListener("backbutton", exitApp, false); // 注销返回键  
		document.addEventListener("backbutton", eventBackButton, false); //返回键  
	},3000);  
	function exitApp(){
		navigator.app.exitApp();
	}
}  
//获取参量
function getUrlParam(varname){
	var query = window.location.search.substring(1);
	query=decodeURI(query);
	var pairs = query.split("&");
	for (var i=0;i<pairs.length;i++) {
		var pair = pairs[i].split("=");
		if(pair[0]==varname){return pair[1];}
	}
	return "";
}
function myLocalurl(){
	var currUrl=window.location.href;
	var currUrlArr=currUrl.split("/");
	var page=currUrlArr[currUrlArr.length-1];
	return page;
}
//页面session保护
function checkPageAuth(){
	var userid=window.sessionStorage.getItem("userid");
	if(!userid) userid=window.localStorage.getItem("appuserid");
	if(userid){
		var sessid=window.sessionStorage.getItem("sessid");
		$.ajax({type:"POST",url: "http://m.paper.com.cn/appx/autologin.php",
			data:{sessid: sessid,userid: userid},
			dataType:"json",
			success: function(msg){
				if(msg.userid) {
					window.sessionStorage.setItem("sessid",msg.sessid);
					window.sessionStorage.setItem("userid",msg.userid);
					window.sessionStorage.setItem("vipuser",msg.vipuser);
				}else{
					window.location="login.html";
				}
			}
		});	
	}else{
		window.location="login.html";
	}
}
//自动静默登陆-不跳转页面-不实时刷新
function autoLogin(){
	var userid=window.sessionStorage.getItem("userid");
	if(!userid) userid=window.localStorage.getItem("appuserid");
	if(userid){
		var sessid=window.sessionStorage.getItem("sessid");
		$.ajax({type:"POST",url: "http://m.paper.com.cn/appx/autologin.php",
			data:{sessid: sessid,userid: userid},
			dataType:"json",
			success: function(msg){
				if(msg.userid) {
					window.sessionStorage.setItem("sessid",msg.sessid);
					window.sessionStorage.setItem("userid",msg.userid);
					window.sessionStorage.setItem("vipuser",msg.vipuser);
				}
			}
		});
	} 
}
//h5 toast
function showToast(txt){
	 if(txt=="") return false;
	var $toast = $('#toast');
	if ($toast.css('display') != 'none') return;
	$(".weui-toast__content").text(txt);
	$toast.fadeIn(100);
	setTimeout(function () {
		$toast.fadeOut(100);
	}, 2000);
}

//版本检查并自动更新-me.html
function checkAppUpdate() {
    var updateUrl =  "http://m.paper.com.cn/appx/version.xml";
    window.AppUpdate.checkAppUpdate(onSuccess, onFail, updateUrl);
    function onFail() {
    	//console.log('fail', JSON.stringify(arguments), arguments);
    }
    function onSuccess() {
    	window.sessionStorage.removeItem("haveNewVersion");  
        var checkcode= arguments[0]['code'];
        if(checkcode=='202') window.plugins.toast.showShortCenter('您使用的已经是最新版本了 - '+AppVersion.version);  
    } 
}
//社会化分享 --纯图片分享
function shareImage (sharePic) {
	window.plugins.socialsharing.share(null,null, sharePic, null);
}

function share_socialimage (sharePic) {
	var options = {message: null,  subject: null, files: [sharePic], url: null};
	var onSuccess = function(result) {};
	var onError = function(msg) {};
	window.plugins.socialsharing.shareWithOptions(options, onSuccess, onError);
}
//读取远端配置数据
function getConfig (item) {
	var appcfg=window.localStorage.getItem("appcfg");
	if(appcfg){
		appcfg=JSON.parse(appcfg);
		return appcfg[item];
	}
	return "";
}